Bug 495020 - [mr_IN] translations are broken for Marathi language ISO-639 language names
[mr_IN] translations are broken for Marathi language ISO-639 language names
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: iso-codes (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag Nemade
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-09 01:39 EDT by Parag Nemade
Modified: 2009-08-04 02:37 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-04 02:32:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
broken translations for Marathi language (24.93 KB, image/png)
2009-04-09 01:39 EDT, Parag Nemade
no flags Details

  None (edit)
Description Parag Nemade 2009-04-09 01:39:29 EDT
Created attachment 338861 [details]
broken translations for Marathi language

Description of problem:
Marathi translations need to be corrected as most of strings are appearing broken with non-existence unicode character U0974 and U0956

Version-Release number of selected component (if applicable):
iso-codes-3.7-1.fc11

How reproducible:
always

Steps to Reproduce:
1. boot desktop in Marathi and see gdm language list broken
OR
2. use ibus-setup command in Marathi locale and check language names appearing broken.

  
Actual results:
Marathi translations are incorrect.

Expected results:
Marathi translations should be correct.

Additional info:
Borken po file in source located as iso_639/mr.po
Comment 1 Parag Nemade 2009-04-09 01:40:43 EDT
External Bug reference :- https://alioth.debian.org/tracker/?func=detail&aid=311588&group_id=30316&atid=413077
Comment 2 sandeep shedmake 2009-04-09 02:08:39 EDT
From Comment #1 

The translations done --have various invalid syllable entries, creating translation inconsistency and leading to broken language names.

[sshedmak@sshedmak iso_639_3]$ msgfmt --statistics mr.po 
121 translated messages, 2258 fuzzy translations, 5300 untranslated messages.

Also, fuzzy entries has to nullified. Since, I am working on Fedora 11 L10n work, providing a proper fix (translations) wouldn't happen asap.
Comment 3 Pravin Satpute 2009-06-02 02:48:30 EDT
It is giving very bad impression as in mr_IN locale, each time someone try to change IME, all list is with broken words.
IMHO This Need fix ASAP
At least need quick fix for strings related with Indic language name
Comment 4 Bug Zapper 2009-06-09 09:31:31 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Parag Nemade 2009-08-04 02:32:26 EDT
We have got this fixed in rawhide iso-codes-3.10.1-1.fc12
Comment 6 Parag Nemade 2009-08-04 02:37:05 EDT
Note: This build only empty po files for some time till upstream releases new version. So at least there are no wrong translations for Marathi now in F-12. But current git HEAD contains good amount of strings translated for Marathi.

Note You need to log in before you can comment on or make changes to this bug.